'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _sinon = require('sinon');

var _chai = require('chai');

var _checkIndexBounds = require('./checkIndexBounds');

var _checkIndexBounds2 = _interopRequireDefault(_checkIndexBounds);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//  weak
/* eslint-disable no-console */

describe('checkIndexBounds', function () {
  var children = void 0;
  var consoleStub = void 0;

  beforeEach(function () {
    children = [_react2.default.createElement('div', { key: '1' }), _react2.default.createElement('div', { key: '2' })];
    consoleStub = (0, _sinon.stub)(console, 'error');
  });

  afterEach(function () {
    console.error.restore();
  });

  it('should not warn when the index is in the bounds', function () {
    (0, _checkIndexBounds2.default)({
      index: 0,
      children: children
    });
    _chai.assert.strictEqual(consoleStub.callCount, 0);
  });

  it('should warn when the index is out of bounds', function () {
    (0, _checkIndexBounds2.default)({
      index: 3,
      children: children
    });
    _chai.assert.strictEqual(consoleStub.callCount, 1);
    _chai.assert.strictEqual(consoleStub.args[0][0], 'Warning: react-swipeable-view: the new index: 3 is out of bounds: [0-2].');
  });
});